# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2021"
rust-version = "1.87.0"
name = "fda"
version = "0.151.0"
authors = ["Feldera Team <dev@feldera.com>"]
build = "build.rs"
include = [
    "bench_openapi.json",
    "/src",
    "build.rs",
    "COPYRIGHT",
    "README.md",
]
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A CLI tool for interacting with Feldera"
homepage = "https://github.com/feldera/feldera"
readme = "README.md"
license = "MIT OR Apache-2.0"
repository = "https://github.com/feldera/feldera"

[[bin]]
name = "fda"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.91"

[dependencies.arrow]
version = "55"
features = [
    "ipc",
    "prettyprint",
]

[dependencies.chrono]
version = "0.4.38"
features = ["serde"]
default-features = false

[dependencies.clap]
version = "4.5"
features = [
    "derive",
    "env",
    "color",
]

[dependencies.clap_complete]
version = "4.5"
features = ["unstable-dynamic"]

[dependencies.directories]
version = "6.0"

[dependencies.env_logger]
version = "0.11"

[dependencies.feldera-rest-api]
version = "0.151.0"

[dependencies.feldera-types]
version = "0.151.0"

[dependencies.futures]
version = "0.3.30"

[dependencies.futures-util]
version = "0.3.30"

[dependencies.itertools]
version = "0.14.0"

[dependencies.json_to_table]
version = "0.9.0"

[dependencies.log]
version = "0.4.20"

[dependencies.ordered-float]
version = "4.2.0"
features = ["serde"]

[dependencies.progenitor-client]
version = "0.9"

[dependencies.reqwest]
version = "0.12"
features = [
    "json",
    "stream",
]

[dependencies.reqwest-websocket]
version = "0.5.0"

[dependencies.rmpv]
version = "1.3.0"
features = ["with-serde"]

[dependencies.rustyline]
version = "15.0"
features = ["with-file-history"]

[dependencies.serde]
version = "1.0.213"
features = ["derive"]

[dependencies.serde_json]
version = "1.0.132"
features = ["arbitrary_precision"]

[dependencies.tabled]
version = "0.17"
features = [
    "macros",
    "ansi",
]

[dependencies.tempfile]
version = "3.21"

[dependencies.tokio]
version = "1.44.2"
features = [
    "rt-multi-thread",
    "macros",
    "io-std",
    "process",
]

[dependencies.tokio-util]
version = "0.7.11"

[dependencies.uuid]
version = "1.17.0"
features = [
    "serde",
    "serde",
    "v4",
]

[build-dependencies.prettyplease]
version = "0.2.22"

[build-dependencies.progenitor]
version = "0.7.0"

[build-dependencies.serde_json]
version = "1.0.132"
features = ["arbitrary_precision"]

[build-dependencies.syn]
version = "2.0.77"
